SEQ(1)

NAME
seq - print sequences of numbers

SYNOPSIS
seq [ -w ] [ -fformat ] [ first [ incr ] ] last

DESCRIPTION
Seq prints a sequence of numbers, one per line, from first (default 1) to as near last as possible, in increments of incr (default 1). The loop is:

      for(val = min; val <= max; val += incr) print val;

The numbers are interpreted as floating point.

Normally integer values are printed as decimal integers. The options are

-fformat
    Use the print(3)-style format print for printing each (floating point) number. The default is

-w  Equalize the widths of all numbers by padding with leading zeros as necessary. Not effective with option -f, nor with numbers in exponential notation.

EXAMPLES

seq 0 .05 .1
    Print 0 0.05 0.1 (on separate lines).

seq -w 0 .05 .1
    Print 0.00 0.05 0.10.

SOURCE
/src/cmd/seq.c

BUGS
Option -w always surveys every value in advance. Thus seq -w 1000000000 is a painful way to get an `infinite' sequence.